summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorMarcello Stanisci <stanisci.m@gmail.com>2019-06-08 18:24:10 +0200
committerMarcello Stanisci <stanisci.m@gmail.com>2019-06-08 18:24:10 +0200
commit6bc1a42594e49933114be1e23e405e3f73a2187e (patch)
tree43b5ac06908f8568188649cf508b2b2c2dc7a47f /bin
parent0a75820e34ef4393b8c53870d1f8a86f6f0ab98f (diff)
downloaddeployment-6bc1a42594e49933114be1e23e405e3f73a2187e.tar.gz
deployment-6bc1a42594e49933114be1e23e405e3f73a2187e.tar.bz2
deployment-6bc1a42594e49933114be1e23e405e3f73a2187e.zip
stricter regex
Diffstat (limited to 'bin')
-rwxr-xr-xbin/taler-deployment-shared-data2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/taler-deployment-shared-data b/bin/taler-deployment-shared-data
index eb4a5ef..3c1c097 100755
--- a/bin/taler-deployment-shared-data
+++ b/bin/taler-deployment-shared-data
@@ -33,7 +33,7 @@ fi
# Check if shared-data/ has the right group (test|demo),
# and set the SETGID permission if so.
SHARED_DATA_GROUP=$(stat --format "%G" $SHARED_DATA)
-if ! echo $SHARED_DATA_GROUP | grep $TALER_CONFIG_ENV; then
+if ! echo $SHARED_DATA_GROUP | grep "^$TALER_CONFIG_ENV$"; then
echo "$SHARED_DATA has the wrong group ($SHARED_DATA_GROUP), please fix."
exit 1
fi